clear
set mem 100m

cd "C:\Documents and Settings\Sami\My Documents\My Dropbox\Franchise\QJPS\Replication"

use QJPS_Franchise_2011_07_22, clear

cap log close
log using QJPS_Franchise_2011_07_22.txt, replace t

gen candidates65=candidates_share1865-candidates_share1859
gen unop65= uno_share1865- uno_share1859
gen libseats65= libseats_share1865-libseats_share1859
gen libwin65= libwin_share1865- libwin_share1859
gen votes65= libvote_share1865- libvote_share1859 if (uno_share1865==0 & uno_share1859==0)
gen turnout65=turnout1865-turnout1859 if (uno_share1865==0 & uno_share1859==0)
gen incrun65= incrun_share1865-incrun_share1859
gen libinc65= incrun_l_share1865-incrun_l_share1859
gen loserrun65= loserrun_share1865-loserrun_share1859
gen liblos65= loserrun_l_share1865-loserrun_l_share1859

gen candidates68=candidates_share1868-candidates_share1865
gen unop68= uno_share1868- uno_share1865
gen libseats68= libseats_share1868-libseats_share1865
gen libwin68= libwin_share1868 - libwin_share1865
gen votes68= libvote_share1868- libvote_share1865 if (uno_share1868==0 & uno_share1865==0)
gen turnout68=turnout1868-turnout1865 if (uno_share1868==0 & uno_share1865==0)
gen incrun68= incrun_share1868-incrun_share1865
gen libinc68= incrun_l_share1868-incrun_l_share1865
gen loserrun68= loserrun_share1868-loserrun_share1865
gen liblos68= loserrun_l_share1868-loserrun_l_share1865

gen candidates74=candidates_share1874-candidates_share1865
gen unop74= uno_share1874- uno_share1865
gen libseats74= libseats_share1874-libseats_share1865
gen libwin74= libwin_share1874- libwin_share1865
gen votes74= libvote_share1874- libvote_share1865 if (uno_share1874==0 & uno_share1865==0)
gen turnout74=turnout1874-turnout1865 if (uno_share1874==0 & uno_share1865==0)
gen incrun74= incrun_share1874-incrun_share1865
gen libinc74= incrun_l_share1874-incrun_l_share1865
gen loserrun74= loserrun_share1874-loserrun_share1865
gen liblos74= loserrun_l_share1874-loserrun_l_share1865

gen lnelec_68_65=log(electorates1868/electorates1865)
gen lnelec_74_65=log(electorates1874/electorates1865)
gen nmps_68_65=nmps1868-nmps1865
gen nmps_74_65=nmps1874-nmps1865

gen lnelec32=log(electorates1832)
gen lnpop31=log(pop1831)
gen lnpop61=log(pop1861)
gen lnpop71_61=log(pop1871/pop1861)
gen elecpop68=electorates1868/pop1871
gen elecpop65=electorates1865/pop1861

***Figure 2

***Boroughs

kdensity lnelec_68_65 if location == "Borough" & changemps==0 & boundaryc==0, gen(lnelec_68_65_x1 lnelec_68_65_yhat1)
line  lnelec_68_65_yhat1 lnelec_68_65_x1, scheme(s2mono)  ///
yti("Density",size(medium))      ///
xti("Panel A: Within Constituency Difference in Log(Electorate), 1868-1865",size(medium))  ///
ylab(`yl',labs(medium))    /// 
saving("lnelec_68_65_borough", replace)
 
drop lnelec_68_65_x1 lnelec_68_65_yhat1   

kdensity elecpop65 if location == "Borough" & changemps==0 & boundaryc==0 , gen(elecpop65_x1 elecpop65_yhat_1)
kdensity elecpop68 if location == "Borough" & changemps==0 & boundaryc==0 , gen(elecpop68_x2 elecpop68_yhat_2)
    

twoway line elecpop65_yhat_1 elecpop65_x1 || line elecpop68_yhat_2 elecpop68_x2, scheme(s2mono)  ///
yti("Density",size(medium))      ///
xti("Panel B: Electorate/Population",size(medium))  ///
ylab(`yl',labs(medium))       /// 
legend(pos(2) ring(0) label(1 "   1865") label(2 "   1868") stack region(lstyle(none) lcolor(none)))  ///
saving("elecpop_borough", replace)

drop elecpop65_x1 elecpop65_yhat_1 elecpop68_x2 elecpop68_yhat_2


***Table 4. Summary Stats

sum electorates1859 libwin_share1859 libvote_share1859 turnout1859 candidates_share1859 uno_share1859 libseats_share1859 incrun_share1859 incrun_l_share1859 loserrun_share1859 loserrun_l_share1859 if location=="Borough" & changemps==0 & boundaryc==0 

sum electorates1865 libwin_share1865 libvote_share1865 turnout1865 candidates_share1865 uno_share1865 libseats_share1865 incrun_share1865 incrun_l_share1865 loserrun_share1865 loserrun_l_share1865 if location=="Borough" & changemps==0 & boundaryc==0 

sum electorates1868 libwin_share1868 libvote_share1868 turnout1868 candidates_share1868 uno_share1868 libseats_share1868 incrun_share1868 incrun_l_share1868 loserrun_share1868 loserrun_l_share1868 if location=="Borough" & changemps==0 & boundaryc==0 

sum electorates1874 libwin_share1874 libvote_share1874 turnout1874 candidates_share1874 uno_share1874 libseats_share1874 incrun_share1874 incrun_l_share1874 loserrun_share1874 loserrun_l_share1874 if location=="Borough" & changemps==0 & boundaryc==0 


*Table 5

sum electorates1865 lnelec_68_65 libwin_share1865 libvote_share1865 turnout1865 candidates_share1865 uno_share1865 libseats_share1865 incrun_share1865 incrun_l_share1865 loserrun_share1865 loserrun_l_share1865 if location=="Borough" & changemps==0 & boundaryc==0 
sum electorates1865 lnelec_68_65 libwin_share1865 libvote_share1865 turnout1865 candidates_share1865 uno_share1865 libseats_share1865 incrun_share1865 incrun_l_share1865 loserrun_share1865 loserrun_l_share1865 if location=="Borough" & changemps==0 & boundaryc==1 
sum electorates1865 lnelec_68_65 libwin_share1865 libvote_share1865 turnout1865 candidates_share1865 uno_share1865 libseats_share1865 incrun_share1865 incrun_l_share1865 loserrun_share1865 loserrun_l_share1865 if location=="Borough" & changemps==1

foreach v in electorates1865 lnelec_68_65 libwin_share1865 libvote_share1865 turnout1865 candidates_share1865 uno_share1865 libseats_share1865 incrun_share1865 incrun_l_share1865 loserrun_share1865 loserrun_l_share1865 {
ttest `v' if location=="Borough" & ((changemps==0 & boundaryc==0) | (changemps==0 & boundaryc==1)), by(boundaryc) unequal
ttest `v' if location=="Borough" & ((changemps==0 & boundaryc==0) | (changemps==1)), by(changemps) unequal
}


***Table 6, 7 & 8 

reg libwin68 lnelec_68_65
outreg lnelec_68_65 using tab6_7_8.out, replace se bdec(3) bracket noaster rdec(3)  

foreach v in candidates68 unop68 libseats68 libwin68 votes68 turnout68 incrun68 libinc68 loserrun68 liblos68  {
    preserve
    keep if location=="Borough" & changemps==0 & boundaryc==0 
    
    xi: reg `v' lnelec_68_65, robust
            outreg lnelec_68_65 using tab6_7_8.out, append se bdec(3) bracket noaster   rdec(3)  
    xi: reg `v' lnelec_68_65 lnpop71_61, robust
            outreg lnelec_68_65 using tab6_7_8.out, append se bdec(3) bracket noaster   rdec(3)  
    restore
}


*Figure 3

preserve
keep if location=="Borough" & changemps==0 & boundaryc==0 

twoway lfitci votes68 lnelec_68_65 || scatter votes68 lnelec_68_65,  scheme(s2mono) ///
yti("Difference in Share of Liberal Votes",size(medium))  ///
xti("Difference in Log(Electorate)",size(medium))  ///
legend(off)                 ///
nodraw ///
saving(votes68, replace)
    
restore

***Table 9: Panel A

reg libwin68 lnelec_68_65
outreg lnelec_68_65 using tab9_A.out, replace se bdec(3) bracket noaster   rdec(3)  

foreach v in candidates68 unop68 libseats68 libwin68 votes68 turnout68 incrun68 libinc68 loserrun68 liblos68 {
    preserve
    keep if location=="Borough"  & changemps==0
    
    xi: reg `v' i.boundaryc|lnelec_68_65 lnpop71_61, robust
            outreg lnelec_68_65  _IbouXlnele_1 using tab9_A.out, append se bdec(3) bracket noaster   rdec(3)  
    restore
}

***Table 9: Panel B

reg libwin68 lnelec_68_65
outreg lnelec_68_65 using tab9_B.out, replace se bdec(3) bracket noaster   rdec(3)  

foreach v in candidates68 unop68 libseats68 libwin68 votes68 turnout68 incrun68 libinc68 loserrun68 liblos68 {

    preserve
    keep if location=="Borough" 
    
    xi: reg `v' i.boundaryc|lnelec_68_65 i.changemps|lnelec_68_65 nmps_68_65 lnpop71_61, robust
           outreg lnelec_68_65  _IbouXlnele_1  _IchaXlnele_1 using tab9_B.out, append se bdec(3) bracket noaster   rdec(3)  

    restore
}

***Table 9: Panel C

reg libwin68 lnelec_68_65
outreg lnelec_68_65 using tab9_C.out, replace se bdec(3) bracket noaster   rdec(3)  

foreach v in candidates68 unop68 libseats68 libwin68 votes68 turnout68 incrun68 libinc68 loserrun68 liblos68  {
    preserve
    keep if location=="County" & changemps==0 & boundaryc==0 
    
    xi: reg `v' lnelec_68_65 lnpop71_61, robust
            outreg lnelec_68_65 using tab9_C.out, append se bdec(3) bracket noaster   rdec(3)  
    restore
}


***Table 10

reg libwin65 lnelec_68_65
outreg lnelec_68_65 using tab10.out, replace se bdec(3) bracket noaster   rdec(3)  

foreach v in candidates65 unop65 libseats65 libwin65 votes65 turnout65 incrun65 libinc65 loserrun65 liblos65  {
    preserve
    keep if location=="Borough" & changemps==0 & boundaryc==0 

    xi: reg `v' lnelec_68_65 lnpop71_61, robust
            outreg lnelec_68_65 using tab10.out, append se bdec(3) bracket noaster   rdec(3)  
    restore
}


*Table 11

xi: reg lnelec_68_65 lnelec32 lnpop71_61 if location=="Borough" & changemps==0 & boundaryc==0 , robust
outreg  using tab11, replace se bdec(3) bracket noaster   rdec(3)  

xi: reg lnelec_68_65 lnpop61 lnpop71_61   if location=="Borough" & changemps==0 & boundaryc==0 , robust
outreg  using tab11, append se bdec(3) bracket noaster   rdec(3)  

xi: reg lnelec_68_65 lnelec32 lnpop61 lnpop71_61  if location=="Borough" & changemps==0 & boundaryc==0 , robust
outreg  using tab11, append se bdec(3) bracket noaster   rdec(3)  
test lnelec32 lnpop61    


***Table 12

reg libwin68 lnelec_68_65
outreg lnelec_68_65 using tab12.out, replace se bdec(3) bracket noaster   rdec(3)  

foreach v in candidates68 unop68 libseats68 libwin68 votes68 turnout68 incrun68 libinc68 loserrun68 liblos68  {
    preserve
    keep if location=="Borough" & changemps==0 & boundaryc==0 

    xi: ivreg2 `v' (lnelec_68_65=lnelec32 lnpop61) lnpop71_61, robust
            outreg lnelec_68_65 using tab12.out, append se bdec(3) bracket noaster   rdec(3)  

    restore
}

***Table 13


reg libwin74 lnelec_74_65
outreg lnelec_74_65 using tab13.out, replace se bdec(3) bracket noaster   rdec(3)  

foreach v in candidates74 unop74 libseats74  libwin74 votes74 turnout74 incrun74 libinc74 loserrun74 liblos74  {
    preserve
    keep if location=="Borough" & changemps==0 & boundaryc==0 
    
    xi: reg `v' lnelec_74_65 lnpop71_61, robust
            outreg lnelec_74_65 using tab13.out, append se bdec(3) bracket noaster   rdec(3)  
    restore
}
